%define uname   ssr
%define libname %mklibname %{uname}-glinject

Name:           simplescreenrecorder
Version:        0.3.8
Release:        %mkrel 3
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Group:          Video/Utilities
License:        GPLv3+
URL:            http://www.maartenbaert.be/simplescreenrecorder
Source0:        https://github.com/MaartenBaert/ssr/archive/%{version}/%{uname}-%{version}.tar.gz
Patch0:         simplescreenrecorder-0.3.7-mga-fix-filenames-with-percent.patch
Patch1:         simplescreenrecorder-0.3.6-fix-missing-incude-random.patch

BuildRequires:  libtool
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi)

Provides:       %{uname} = %{version}-%{release}
Recommends:     %{libname} = %{version}-%{release}
%ifarch x86_64
# 32-bit version of the library is required to record 32-bit OpenGL applications
Recommends:     lib%{uname}-glinject
%endif

%description
SimpleScreenRecorder is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%files
%doc COPYING *.txt README.md data/resources/about.htm
%{_bindir}/%{name}
%{_bindir}/%{uname}-glinject
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{uname}-glinject.1*

#----------------------------------------------------------------------------

%ifnarch %{arm}
%package -n     %{libname}
License:        GPLv3+
Summary:        A feature-rich screen recorder library
Group:          System/Libraries

%description -n %{libname}
This package provides SimpleScreenRecorder's library.

%files -n       %{libname}
%{_libdir}/libssr-glinject.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

# The BS doesn't like %% in filenames
pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
# error "You must build your code with position independent code if Qt was built
# with -reduce-relocations." "Compile your code with -fPIC (-fPIE is not enough)".
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"

%configure2_5x \
%ifarch %{arm}
        --disable-x86-asm \
        --disable-glinjectlib \
%endif
        --with-qt5

%make_build

%install
%make_install

# We don't provide libtool libraries
find %{buildroot} -name '*.la' -delete


%changelog
* Tue May 02 2017 akien <akien> 0.3.8-3.mga6
+ Revision: 1098373
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.3.8-2.mga6
+ Revision: 1090256
- Rebuild for ffmpeg 3.2.4

* Thu Nov 10 2016 akien <akien> 0.3.8-1.mga6
+ Revision: 1066159
- Version 0.3.8

* Sat Oct 29 2016 akien <akien> 0.3.7-1.mga6
+ Revision: 1064008
- Version 0.3.7

* Mon Sep 05 2016 daviddavid <daviddavid> 0.3.6-4.mga6
+ Revision: 1050120
- disable glinjectlib on ARM

* Sun Sep 04 2016 daviddavid <daviddavid> 0.3.6-3.mga6
+ Revision: 1050032
- port to Qt5

* Fri May 13 2016 daviddavid <daviddavid> 0.3.6-2.mga6
+ Revision: 1015027
- add a patch to fix build due to missing include random header

* Tue Jan 12 2016 akien <akien> 0.3.6-1.mga6
+ Revision: 922164
- Version 0.3.6

* Sun Jan 25 2015 akien <akien> 0.3.3-1.mga5
+ Revision: 812174
- Version 0.3.3

* Fri Jan 09 2015 akien <akien> 0.3.2-1.mga5
+ Revision: 809634
- Version 0.3.2

* Fri Nov 14 2014 akien <akien> 0.3.1-1.mga5
+ Revision: 797023
- Version 0.3.1

* Fri Nov 14 2014 akien <akien> 0.3.0-4.mga5
+ Revision: 797013
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 746259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 689163
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 09 2014 akien <akien> 0.3.0-1.mga5
+ Revision: 661307
- Version 0.3.0

* Thu Apr 17 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 615495
- imported package simplescreenrecorder

